@import url('https://fonts.googleapis.com/css2?family=Host+Grotesk:ital,wght@0,300..800;1,300..800&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Host Grotesk', sans-serif;
}



main {
    height: 100svh;
    padding: 10%;
    display: grid;
    grid-template-rows: 1fr auto;
    --color-primary: #33CC99;
    --color-text: #333;
}

.title {
    color: var(--color-primary);
    font-weight: 900;
    font-size: 4.5rem;
    line-height: 6rem;
    transition: all 200ms linear;
}

    .title.hide {
        opacity: 0;
        transform: translateY(calc(-10svh - 100%));
    }

.subtitle {
    color: var(--color-text);
    font-weight: 300;
    font-size: 1.5rem;
}

.copyright {
    color: var(--color-text);
    font-weight: 400;
    font-size: 1rem;
}

.editor-output-container {
    margin-top: 2rem;
}

.output-container {
    background-color: #F2F2F2;
    padding: 1rem;
    display: flex;
    justify-content: space-between;
    margin-bottom: 1rem;
    align-items: center;
    overflow: hidden;
}

.editor-header {
    background-color: #E6E6E6;
    display: flex;
    justify-content: space-between;
}

.editor-title {
    padding: 1rem;
    font-size: 1rem;
}

.run-button {
    background-color: var(--color-primary);
    height: inherit;
    display: block;
    padding: 0 1rem;
    font-family: 'Host Grotesk', sans-serif;
    color: white;
    font-size: 1rem;
    border: none;
}

.editor-body {
    min-height: 200px;
    background-color: #F2F2F2;
    position: relative;
    padding: 1rem;
}

.editor-text {
    pointer-events: none;
    white-space: pre-wrap;
    width: 100%;
    height: 100%;
    overflow-wrap: break-word;
}

span.operator {
    color: #829beb;
}

span.bracket {
    color: var(--color-primary);
}

span.syntax-error {
    color: red;
}

.editor {
    margin: 1rem;
    position: absolute;
    top: 0;
    left: 0;
    border: none;
    width: calc(100% - 2rem);
    height: calc(100% - 2rem);
    font-size: 1rem;
    resize: none;
    background-color: transparent;
    z-index: 1;
    color: transparent;
    caret-color: black;
}

    .editor:focus {
        outline: none;
    }

    .editor::placeholder {
        color: #ddd;
    }

.output {
    color: var(--color-primary);
    transform: translateX(0);
    opacity: 1;
    transition: color 200ms linear, transform 200ms linear, opacity 1s linear;
}

    .output.hide {
        transform: translateX(100%);
        opacity: 0;
    }

    .output.error {
        color: red;
    }

.loader {
    width: 1rem;
    height: 1rem;
    border: 3px dotted var(--color-primary);
    border-radius: 50%;
    display: inline-block;
    position: relative;
    box-sizing: border-box;
    animation: rotation 2s linear infinite;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


svg.unghostdude {
    height: 4.5rem;
    position: absolute;
    top: 0;
    opacity: 0;
    margin: calc(10% + 0.75rem) 0;
    transform: translateX(calc(-100% - 10svw));
    transition: transform 200ms linear, opacity 200ms linear;
}

    svg.unghostdude .cls-1 {
        fill: var(--color-primary);
    }

    svg.unghostdude.show {
        opacity: 1;
        transform: translateX(0);
    }
